ruby 1.9 without rvm

by adityasanghi
0 deployments · 0 still active · last rev. 5 years ago

1.9 without rvm

Compatible with: No distros currently supported
						#!/bin/bash

function download_and_extract_ruby {
  export RUBY_VERSION="ruby-1.9.2-$RUBY_RELEASE"
  cd /usr/local/src
  wget ftp://ftp.ruby-lang.org/pub/ruby/1.9/$RUBY_VERSION.tar.gz
  tar xzf $RUBY_VERSION.tar.gz
  cd $RUBY_VERSION
}

function compile_and_install_ruby {
  apt-get -y install libmysqlclient-dev build-essential bison openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-0 libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake
  ./configure
  make
  make install
}